Bug 78969 - xinetd appears to lock up system when mozilla is launched
xinetd appears to lock up system when mozilla is launched
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-03 20:54 EST by Peter Marra
Modified: 2007-04-18 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:22:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace you asked for (282.71 KB, text/plain)
2002-12-04 22:31 EST, Peter Marra
no flags Details

  None (edit)
Description Peter Marra 2002-12-03 20:54:15 EST
Description of Problem: xinetd was updated using up2date. When mozilla is 
launched, the mozilla dialog box opens, but is blank. mouse is slow and 
erratic. System locks up.  mouse does not respond to commands.


Version-Release number of selected component (if applicable):
kernel 2.4.18-18.8.0
mozilla 1.0.1-26
xinetd 2.3.7-5

How Reproducible:
easily reproduced

Steps to Reproduce:
1. boot into xwindows  
2. log on as root
3. launch mozilla

Actual Results:
mozilla dialog box opens  but is blank and system locks (possible excessive use 
of cpu)
after about 5 minutes just the text of the url appears

Expected Results:
mozilla dialog box opens, loads, and access to internet is started 

Additional Information:
	
all software comes from redhat. all updates were determined and administered by 
up2date
Comment 1 Michael Lee Yohe 2002-12-04 10:29:04 EST
xinetd WORKSFORME after up2date.  This may be a Mozilla quirk (in which case
Component == mozilla).

Do this first - restart the xinetd daemon.

# /etc/init.d/xinetd restart

See if this corrects the problem.

Do this second (if nothing changes after the first) -

Open a console _prior_ to starting Mozilla.

Run the following in the console:

$ strace /usr/lib/mozilla-1.0.1/mozilla-bin 2> mozilla-bin_strace.stderr

Mozilla should pop up and freeze.  Switch back to the console.  CTRL+C to abort
the strace (which will also kill the mozilla-bin process), thereby restoring
control to your system.

Attach the mozilla-bin_strace.stderr file to this bug so that we can see what is
happening on your system (the file will more than likely be quite large).
Comment 2 Peter Marra 2002-12-04 22:31:39 EST
Created attachment 87444 [details]
strace you asked for
Comment 3 Peter Marra 2002-12-04 22:35:55 EST
restart of the xinetd daemon had no effect.

when running strace I conld not switch back to the console. 
CTRL+C did not work 
I had to press the reset switch.

Comment 4 Daniel Walsh 2002-12-05 09:35:52 EST
Try stopping the xinetd service and then start Mozilla does the mozilla start
correctly?  If not then this is a mozilla problem and not an xinetd problem.

Dan
Comment 5 Peter Marra 2002-12-12 15:58:23 EST
After logging on as root, I stopped xinetd. I then started mozilla. I got the 
same result as before. An interesting note, mozilla works when I'm signed on as 
a user. 

Based on the results, Dan stated this is a mozilla issue. how should I procede?
Comment 6 Christopher Blizzard 2003-05-05 12:03:39 EDT
I have no idea how this could even possibly be a Mozilla issue.  The two
programs don't interact as far as I know.
Comment 7 Bill Nottingham 2006-08-07 14:58:37 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 8 Bill Nottingham 2006-10-18 12:22:40 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.